### org.jfree.layouting.util.geom

# Class StrictDimension

- `java.lang.Object`
- - `org.jfree.layouting.util.geom.StrictDimension`

Implemented Interfaces:
  Cloneable, Serializable

`public class StrictDimension`
`extends java.lang.Object`
`implements Serializable, Cloneable`

A dimension object that uses micro-points as units of measurement.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StrictDimension()`
    Default-Constructor.

  `StrictDimension(long width, long height)`
    Creates a new dimension object with the given width and height.

  ## Method Summary

  `Object`

  `clone()`
    Creates a copy of this object.

  `boolean`

  `equals(Object o)`
    Checks, whether the given object is a StrictDimension instance convering the same area as this dimension.

  `long`

  `getHeight()`
    Returns the height of this dimension object.

  `StrictDimension`

  `getLockedInstance()`
    Returns a copy of this dimension which cannot be modified anymore.

  `StrictDimension`

  `getUnlockedInstance()`
    Returns a copy of this dimension which can be modified later.

  `long`

  `getWidth()`
    Returns the width of this dimension object.

  `int`

  `hashCode()`
    Computes the hashcode for this dimension.

  `boolean`

  `isLocked()`
    Checks, whether this instance is locked.

  `void`

  `setHeight(long height)`
    Updates the height of this dimension object.

  `void`

  `setSize(long width, long height)`
    Sets the size of this `Dimension` object to the specified width and height.

  `void`

  `setSize(StrictDimension size)`

  `void`

  `setWidth(long width)`
    Updates the width of this dimension object.

  `String`

  `toString()`
    Returns a String representation of this dimension object.

## Constructor Details

### StrictDimension

    public StrictDimension()

> Default-Constructor.

### StrictDimension

    public StrictDimension(long width,
                           long height)

> Creates a new dimension object with the given width and height. The object is not locked.
> Parameters:
>   `width` - the width.
>   `height` - the height.

## Method Details

### clone

    public Object clone()

> Creates a copy of this object. This method is guaranteed to never throw a CloneNotSupportedException.
> Returns:
>   the cloned copy.

### equals

    public boolean equals(Object o)

> Checks, whether the given object is a StrictDimension instance convering the same area as this dimension.
> Parameters:
>   `o` - the other object.
> Returns:
>   true, if the other object is equal to this object, false otherwise.

### getHeight

    public long getHeight()

> Returns the height of this dimension object.
> Returns:
>   the height.

### getLockedInstance

    public StrictDimension getLockedInstance()

> Returns a copy of this dimension which cannot be modified anymore.
> Returns:
>   a locked copy.

### getUnlockedInstance

    public StrictDimension getUnlockedInstance()

> Returns a copy of this dimension which can be modified later.
> Returns:
>   an unlocked copy.

### getWidth

    public long getWidth()

> Returns the width of this dimension object.
> Returns:
>   the width.

### hashCode

    public int hashCode()

> Computes the hashcode for this dimension.
> Returns:
>   the computed hashcode.

### isLocked

    public boolean isLocked()

> Checks, whether this instance is locked.
> Returns:
>   true, if the dimension object is locked, false otherwise.

### setHeight

    public void setHeight(long height)

> Updates the height of this dimension object.
> Parameters:
>   `height` - the new height, given in micro-points.

### setSize

    public void setSize(long width,
                        long height)

> Sets the size of this `Dimension` object to the specified width and height.
> Parameters:
>   `width` - the new width for the `Dimension` object
>   `height` - the new height for the `Dimension` object

### setSize

    public void setSize(StrictDimension size)

### setWidth

    public void setWidth(long width)

> Updates the width of this dimension object.
> Parameters:
>   `width` - the new width, given in micro-points.

### toString

    public String toString()

> Returns a String representation of this dimension object.
> Returns:
>   a string describing the object.